@mixin make-container-fluid($marginLeft: 0, $marginRight: 0) {
  width: auto;
  @if $marginLeft { margin-left: $marginLeft; }
  @if $marginRight { margin-right: $marginRight; }
  padding: 0;
}

@mixin opacity($opacity) {
  $opacity-ie: ($opacity * 100);  // IE8 filter
  filter: alpha(opacity=$opacity-ie);
  opacity: $opacity;
}

@mixin blur($blur) {
  -webkit-filter: blur($blur);
  filter: blur($blur);
  filter: progid:DXImageTransform.Microsoft.Blur(PixelRadius='#{$blur}');
  transform: scale(1.1); // fix outwashed edges
}

@mixin transition($transition) {
  -webkit-transition: $transition;
  -moz-transition: $transition;
  -o-transition: $transition;
  transition: $transition;
}

@mixin grayscale($percent: 100%) {
  -webkit-filter: grayscale($percent); /* Safari 6.0 - 9.0 */
  filter: grayscale($percent);
}
